Name:           ocaml-ppx-module-timer
Version:        0.17.0
Release:        %autorelease
Summary:        PPX rewriter that records top-level module startup times

License:        MIT
URL:            https://github.com/janestreet/ppx_module_timer
VCS:            git:%{url}.git
Source0:        %{url}/archive/v%{version}/ppx_module_timer-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppx-base-devel >= 0.17
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-stdio-devel >= 0.17
BuildRequires:  ocaml-time-now-devel >= 0.17

%description
A ppx extension to record module startup times.

Modules using ppx_module_timer (included in ppx_jane_kernel) now have
instrumentation to record their startup time.  If the environment
variable PPX_MODULE_TIMER is set (to anything), each module records its
startup time, and before exiting the process prints out all of the
module times in the order they occurred.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppx-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-stdio-devel%{?_isa}
Requires:       ocaml-time-now-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_module_timer-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc README.md
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
